apiVersion: apps/v1
kind: Deployment
metadata:
  name: oc-workflow
  labels:
    app: oc-workflow
spec:
  replicas: 1
  selector:
    matchLabels:
      app: oc-workflow
  template:
    metadata:
      labels:
        app: oc-workflow
    spec:
      containers:
        - name: oc-workflow
          image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
          ports:
            - containerPort: {{ .Values.service.targetPort }}
          env:
            - name: MONGO_DATABASE
              value: "{{ .Values.env.mongoDatabase }}"
          resources:
            limits:
              cpu: "{{ .Values.resources.limits.cpu }}"
              memory: "{{ .Values.resources.limits.memory }}"
            requests:
              cpu: "{{ .Values.resources.requests.cpu }}"
              memory: "{{ .Values.resources.requests.memory }}"
